Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Interface DiscountAssociation

All Superinterfaces:
  Serializable

public interface DiscountAssociation
extends Serializable

This interface represents the public interface to the `DiscountAssociation` object. A `DiscountAssociation` object is an immutable representation of a discount association. A discount association is the mapping of a `Customer` to a `Discount` and it's primary purpose is to tack and limit how many times discount is used by a particular customer

Method Summary
`boolean` | `equals(Object obj)` Tests if two discount associations are the same
`String` | `getDescription()` Get the description for this discount association.
`Integer` | `getId()` Gets this discount association's unique id
`QualificationDiscountId` | `getQualDiscountId()` Gets the id of the discount for this discount association
`int` | `getUseCount()` Gets the current use count for this discount association, that is the number of times the user in the association has used the discount in this association.
`CustomerPk` | `getUser()` Gets this discount association's `Customer` or more specifically the `CustomerPK`
`int` | `hashCode()` A unique code for this discount association
`boolean` | `isGlobal()` Gets the value of the the global flag for the discount in this discount association
`String` | `toString()` Gets a `String`representation of this discount``

Method Detail

### getId

    public Integer getId()

  Gets this discount association's unique id

  Returns:
    the discount association's unique id

### getUser

    public CustomerPk getUser()

  Gets this discount association's `Customer` or more specifically the `CustomerPK`

  Returns:
    discount association's `CustomerPK`

### getQualDiscountId

    public QualificationDiscountId getQualDiscountId()

  Gets the id of the discount for this discount association

  Returns:
    the id of the discount, a `QualificationDiscountId` for this discount association

### isGlobal

    public boolean isGlobal()

  Gets the value of the the global flag for the discount in this discount association

  Returns:
    ture if the discount in this association is global, flase if it is not

### getUseCount

    public int getUseCount()

  Gets the current use count for this discount association, that is the number of times the user in the association has used the discount in this association. This number should not exceed the `allowedUses`values specified by the discount

  ``
  Returns:
    the number of time the user has used the discount
  See Also:
    `QualificationDiscountDef.getAllowedUses()`

### getDescription

    public String getDescription()

  Get the description for this discount association. This description will only be present if the discount in this association is not global. The description will provide some indication of how or why the user is associated with the discount

  Returns:
    the association's description, or null if none was provided

### equals

    public boolean equals(Object obj)

  Tests if two discount associations are the same

  Parameters:
    `obj` - the `DiscountAssociation` to compare this one against
  Returns:
    true if the passed `DiscountAssociation` is the same as this one

### hashCode

    public int hashCode()

  A unique code for this discount association

  Returns:
    the hashCode for this discount association

### toString

    public String toString()

  Gets a `String`representation of this discount

  ``
  Returns:
    a `String`representation of this discount``

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved